Strophe 0.9 XMPP client library

Typedefs | Functions
sock.h File Reference

Socket abstraction API. More...

## Typedefs
typedef int | sock_t

## Functions
int | sock_error (void)
sock_t | sock_connect (const char *const host, const unsigned short port)
int | sock_close (const sock_t sock)
int | sock_set_blocking (const sock_t sock)
int | sock_set_nonblocking (const sock_t sock)
int | sock_read (const sock_t sock, void *const buff, const size_t len)
int | sock_write (const sock_t sock, const void *const buff, const size_t len)
int | sock_is_recoverable (const int error)
int | sock_connect_error (const sock_t sock)
int | sock_set_keepalive (const sock_t sock, int timeout, int interval)

## Detailed Description

Socket abstraction API.

## Typedef Documentation

## ◆ sock_t

typedef int sock_t

## Function Documentation

## ◆ sock_error()

int sock_error | ( | void |  | ) |

## ◆ sock_connect()

sock_t sock_connect | ( | const char *const | host,
|  | const unsigned short | port
| ) |  |

## ◆ sock_close()

int sock_close | ( | const sock_t | sock | ) |

## ◆ sock_set_blocking()

int sock_set_blocking | ( | const sock_t | sock | ) |

## ◆ sock_set_nonblocking()

int sock_set_nonblocking | ( | const sock_t | sock | ) |

## ◆ sock_read()

int sock_read | ( | const sock_t | sock,
|  | void *const | buff,
|  | const size_t | len
| ) |  |

## ◆ sock_write()

int sock_write | ( | const sock_t | sock,
|  | const void *const | buff,
|  | const size_t | len
| ) |  |

## ◆ sock_is_recoverable()

int sock_is_recoverable | ( | const int | error | ) |

## ◆ sock_connect_error()

int sock_connect_error | ( | const sock_t | sock | ) |

## ◆ sock_set_keepalive()

int sock_set_keepalive | ( | const sock_t | sock,
|  | int | timeout,
|  | int | interval
| ) |  |